Bug 474027 - texlive-texmf : Unowned directories
texlive-texmf : Unowned directories
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive-texmf (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 14:48 EST by Michael Schwendt
Modified: 2013-07-02 19:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2007-31.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-12 21:37:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2008-12-01 14:48:55 EST
One or more directories are not included within this
package and/or its sub-packages:

=> texlive-texmf-2007-26.fc10.noarch (rawhide-development-i386)
/var/lib/texmf/tex
/usr/share/texmf/bibtex
    provided by: texlive-2007-39.fc11.i386
/var/lib/texmf/fonts/map/dvips
/var/lib/texmf/fonts/map/pdftex
/var/lib/texmf/web2c
    provided by: texlive-2007-39.fc11.i386

=> texlive-texmf-context-2007-26.fc10.noarch (rawhide-development-i386)
/usr/share/texmf/fonts/enc
    provided by: texlive-texmf-fonts-2007-26.fc10.noarch
/usr/share/texmf/fonts/enc/dvips
    provided by: texlive-texmf-dvips-2007-26.fc10.noarch
/var/lib/texmf/tex
/usr/share/texmf/bibtex
    provided by: texlive-2007-39.fc11.i386
/usr/share/texmf/fonts/map
    provided by: texlive-texmf-fonts-2007-26.fc10.noarch
/usr/share/texmf/fonts/map/dvipdfm
    provided by: texlive-texmf-fonts-2007-26.fc10.noarch
/usr/share/texmf/fonts/map/pdftex
    provided by: texlive-texmf-fonts-2007-26.fc10.noarch

=> texlive-texmf-doc-2007-26.fc10.noarch (rawhide-development-i386)
/usr/share/texmf
    provided by: gnuplot-4.2.4-1.fc11.i386
    provided by: texlive-texmf-2007-26.fc10.noarch

=> texlive-texmf-dvips-2007-26.fc10.noarch (rawhide-development-i386)
/usr/share/texmf/fonts/enc
    provided by: texlive-texmf-fonts-2007-26.fc10.noarch
/usr/share/texmf/fonts/map
    provided by: texlive-texmf-fonts-2007-26.fc10.noarch

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories
Comment 1 Bug Zapper 2009-06-09 06:04:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Update System 2009-10-21 15:30:29 EDT
texlive-texmf-2007-31.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/texlive-texmf-2007-31.fc10
Comment 3 Fedora Update System 2009-10-27 02:53:55 EDT
texlive-texmf-2007-31.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update texlive-texmf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10790
Comment 4 Fedora Update System 2009-11-12 21:36:52 EST
texlive-texmf-2007-31.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.